API DocumentationLoad Balancers
List Load Balancers
List all load balancers. Optionally filter by project, region, or VPC.
Authorization
bearer_auth AuthorizationBearer <token>
Authentication
Create an API token on Profile, or with osctl auth login. Send it in the Authorization header:
Authorization: Bearer os1_...Do not use the Keycloak web-session JWT as an API token. Keep the secret secure and do not share it.
In: header
Query Parameters
project_id*string
ID of the project used to filter results.
region?string
Filter load balancers by region.
vpc_id?string
A unique identifier for a VPC instance. See VPCs section for more details.
Format
uuidResponse Body
application/json
application/json
text/pain
application/json
application/json
curl -X GET "https://example.com/v1/lbs?project_id=default"{ "load_balancers": [ { "id": "550e8400-e29b-41d4-a716-446655440000", "name": "my-lb", "description": "Production load balancer", "user_id": "usr_abc123", "project_id": "default", "size": "small", "region": "alg1", "visibility": "public", "status": "ready", "state": "running", "network": {}, "created_at": "2024-06-01T12:00:00Z", "updated_at": "2024-06-15T08:30:00Z" } ]}{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized. Send POST /v1/init, then retry the request." } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}